# Generated by Django 2.2.7 on 2019-12-16 09:57

import django.contrib.postgres.fields
import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
    ]

    operations = [
        migrations.CreateModel(
            name='ScheduledTask',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('object_id', models.PositiveIntegerField()),
                ('task', models.CharField(blank=True, db_index=True, default=None, max_length=255, null=True)),
                ('task_id', models.CharField(blank=True, db_index=True, help_text='You can use this to ensure that duplicate tasks are not created', max_length=255, null=True)),
                ('args', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(blank=True, max_length=255), blank=True, default=list, size=None)),
                ('kwargs', django.contrib.postgres.fields.jsonb.JSONField(default=dict)),
                ('scheduled_time', models.DateTimeField(db_index=True)),
                ('run_async', models.BooleanField(default=True)),
                ('offset', models.IntegerField(blank=True, db_index=True, default=0, null=True)),
                ('offset_field', models.CharField(blank=True, db_index=True, default=None, max_length=255, null=True)),
                ('status', models.CharField(db_index=True, default='Scheduled', max_length=255)),
                ('protected', models.BooleanField(default=False, help_text='Protected tasks will not be garbage collected')),
                ('expiry_in_minutes', models.PositiveIntegerField(default=30, help_text='If this many minutes have passed since the scheduled date, this task will be considered terminally failed')),
                ('storage_timeout', models.PositiveIntegerField(default=2880, help_text='Keep this around the many minutes after execution has completed')),
                ('content_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='contenttypes.ContentType')),
            ],
        ),
        migrations.CreateModel(
            name='ScheduledTaskRun',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('result', models.TextField(blank=True)),
                ('is_success', models.BooleanField(default=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('task', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='scheduledtasks.ScheduledTask')),
            ],
        ),
    ]
